Nadciąga zima a z nią WordPress 5.0 z nowym edytorem Gutenberg

Nowa wersja Wordpress 5.0 będzie oficjalnie dostępna końcem listopada. Bez wątpienia jest to duże wydarzenie w świecie użytkowników i firm związanych z tym popularnym CMSem. Warto przy tej okazji zaznaczyć, że obecnie ponad ponad 32% wszystkich serwisów internetowych na świecie postawionych jest właśnie na Wordpressie a w samym rynku CMS króluje na pozostałymi mając w nim 59% udziału. Z nowym CMSem pojawia się kilka nowych funkcjonalności ale to co zasługuje na szczególną uwagę to nowy wbudowany edytor WYSWIG o nazwie Gutenberg. I właśnie on jest przedmiotem wielu dyskusji i skrajnych opinii na co zwracają uwagę komentatorzy, blogerzy rynku internetowego.[/vc_column_text][/vc_column_inner][/vc_row_inner][vc_column_text]Kluczową zmianą w nowym edytorze jest możliwość pracy nad pojedynczą stroną lub wpisem w sposób bardziej intuicyjny i naturalny. Użytkownik wprowadzając teksty, zdjęcia i inne elementy multimedialne widzi je w taki sposób w jaki wyświetlą się po opublikowaniu internatom. Dotychczas koniecznie było zapisanie pracy i otwarcie w nowym oknie przeglądarki podglądu aby zobaczyć efekt pracy. Kolejną ważną zmiana jest to, że wszystkie elementy edytowanej strony są blokami, jakie możemy umieszczać w dowolnym miejscu, jakie posiadają własne cechy jakie w prosty sposób się zmienia. Przypomina to pracę z tz. page builderami jakie od kilku lat zadomowiły się w komercyjnych szablonach wordpressowych. Nowe funkcje Gutenberga spowodują, że część wtyczek może i pagebuilderów nie będzie potrzebna. Budowa strony z bloków zawierających content, multimedia spowoduje, że serwisy internetowe będą mogły bardziej się od siebie wyróżniać. Obecnie szablony co by nie mówić są do siebie bardzo zbliżone przez co różne strony www pod względem layoutu są do siebie bardzo podobne. Gutenberg powinien wprowadzić więcej urozmaicenia.

Jeśli chodzi o cały ekosystem wordpressowy to pojawienie się nowej wersji CMSa z nowym edytorem spowoduje, że część wtyczek i szablonów będzie niekompatybilna. Docelowo firmy, developerzy tworzący szablony i wtyczki do Wordpress'a będą musieli je dostosować. Sam Automattic przewidział, że część użytkowników z różnych względów nie będzie chciała lub mogła przesiąść na nowy edytor dlatego wprowadzi wtyczkę Disable Gutenberg jaka umożliwi pracę (przynajmniej przez pewien czas) w starym edytorze. Jak widać nowa wersja niesie za sobą duże zmiany.

Z kolei część nowych użytkowników od razu postawią stronę na nowej wersji i wdrożą szablony oraz wtyczki kompatybilne z Gutenbergiem. W marketach z szablonami są już nawet takie dostępne.

Wszystkim zainteresowanym właścicielom stron Wordpress w wersji 4.x oferujemy usługę aktualizacji do wersji 5 w celu weryfikacji kompatybilności z nowym systemem. Aktualizację wykonujemy na serwerze testowym a więc nie ma to wpływu na działanie Państwa serwisu produkcyjnego.